<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
?>
<?php
    print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<html><head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Evaluation multi-établissements</title>
<script language="javascript" type="text/javascript">

     function getcookie(cookieName) {
         thisCookie = document.cookie.split('; ')
         //alert('cookies : '+document.cookie);
         for (i=0; i<thisCookie.length; i++) {
              if (cookieName == thisCookie[i].split('=')[0]) {
                 return thisCookie[i].split('=')[1];
              }
         }
         return 0
     }
     function setmonetab(etab) {
       var expiredate;
            expireDate = new Date(2011,8,01);
        document.cookie='getab='+etab+';expires='+expireDate.toGMTString();
        return true;
     }
   var getab;
   getab=getcookie('getab');
   //alert(document.cookie+' et getab='+getab);


   //rem

</script>
<link rel="stylesheet" href="include/general.css">
</head>

<?php
if (!@include ("./include/vars_adm.php")) {
     print "<body  bgcolor=\"#DEF4F3\" background=\"./images/logofond.gif\" ><br />";
     print "<TABLE width='80%' border='0' align='center'>\n";
           print "<TR><TD colspan='2'><center><img height='100' src='images/pixel_vide.gif'></center></TD></TR><TR><TD width=\"200\"><CENTER><IMG src='images/puni_b2i.gif'></CENTER></TD>\n";
           print "<TD ><P class='nom_prenom'>Bonjour </p><br />";
           print "<font size=\"small\"><p><span class=\"warning\">Erreur&nbsp;:&nbsp;</span>Le fichier de configuration <strong>vars_adm.php</strong> n'existe pas !<br />";
           print "<br />Vous avez probablement oublié d'installer l'application...<br /><br />\n";
           print "<span class=\"warning\">Lancez <a href=\"./install/install.php\">install/install.php</a> au lieu de index.php.</span> </P></font></TD>\n";
           print "<br /></TR>\n";
           print "<tr><td></td><td><P class='libelle_admin' align='center'><br /><input type='submit' class='coulindex' name='btn_out' value='Quitter' onclick='window.close();'></p></td></tr>";
           print "</TABLE></FORM></BODY></HTML>\n";
           die("</body></html>\n");
           exit();
  //  print "Erreur : le fichier de configuration <strong>vars_adm.php</strong> n'existe pas !<br />";
    print "Vous avez probablement oublié d'installer l'application...<br />";
    print "Lancez install/install.php au lieu de index.php.";
    print "</body></html>\n";
    exit(); //
}

print "<body  bgcolor=\"#DEF4F3\" background=\"./images/logofond.gif\" onload=\"document.formindex.btn_ok.focus()\"><br />";


include("./include/util.inc.php");
include("./include/utiljs.php");

connecte($host,$user,$mdp,$db);
getparams(false);
recuprequest();
//alert("CAS=$CAS et serv=$serv");
//Dans le cas de CAS, on saute au loginCAS où se situera la recherche auto de l'étab :
if (!isset($CAS_URI)) $CAS_URI="";
if (isset($CAS) && @$CAS==1) goto("login/loginCAS.php?CAS_SERVEUR=".$CAS_SERVEUR."&CAS_PORT=".$CAS_PORT."&CAS_URI=".$CAS_URI);


function formulaire() {
global $MAIL_RESP,$AGREMENT_CNIL,$MODULE;

if ($MODULE=="Melia") $app="des <b>compétences en L.V.</b>";
    else  $app="du <b>B2i</b>";
?>
<p>&nbsp;</p>
<form name="formindex" method="post">
    <table align="center" border="0" width="80%" bgcolor="#B6E3E1">
        <tr height="100%">
        <td width="20%" rowspan="4" align="center"><b>Mention légale : </b><br /> Conformément à la loi Informatique et Libertés n° 78-17
                 du 06.01.78, vous disposez d'un droit d'accès, de modification et de suppression pour les données nominatives vous concernant (art.34 de cette loi).<br />
               Pour l'exercer, vous pouvez vous adresser au <a href="mailto:<?php echo $MAIL_RESP; ?>">webmaster</a>.<br /><br />
        <?php if ($AGREMENT_CNIL==0) print "<font style=' font-style=italic;color=red ' >En attente de l'agrément de la CNIL</font><br />"; ?>

        <a href="http://www.cnil.fr" alt="Site CNIL" title="Site CNIL" target="_blank"><img src="./images/cnil.gif" border="0"></a>
        </td>
           <td  width="80%" height="61">
                <h1 align="center"><i><b>G</b>estion <b>I</b>nformatisée <?php echo $app; ?> </i></h1>
                <p align="center">

   <i>Munissez-vous de votre nom d'utilisateur et de votre mot de passe
   </i></p>
   <p align="center"><b><i>Et n'oubliez pas de vous déconnecter avant de partir</i></b></p>
            </td>
        </tr>
        <tr height="100%">
            <td  height="58" ><p align="center">Tapez le numéro d'identification de l'établissement <br>(ou quelques caractères permettant de le trouver) :<br></td>
        </tr>
        <tr height="100%">
            <td width="100%" ><p align="center" ><input type="text" name="search" maxlength="8" size="12" style="color: #000;font-size: small;border: 1px solid #000;">
            &nbsp; &nbsp; &nbsp; &nbsp;<input  class="coulindex" type="submit" name="btn_ok"  value="Entrer"></td>
        </tr>
        <tr>
            <td width="100%" >
            <p align="center">
            <font size="1" face="Verdana">
            exemples (au choix) : 12, 0330087R, rostand, lyc, boulevard,...
            </font><font size="2"><br></font><br></td>
        </tr>
    </table>
    <p align="center">&nbsp;</p>
</form>

<?php
}

function recherche() {
global $search; //champ du formulaire
$found=false;
if (strval(intval($search))===$search) {
    $resetab=query("SELECT * FROM etablissements WHERE etab_id=$search");
    $nb=mysql_num_rows($resetab);
    //alert($nb);
    if ($nb==1) {
        $found=true;
        //alert('dans js');
        list($etab_id)=mysql_fetch_array($resetab);
        js("setmonetab($etab_id);");
        goto("./login/login.php?etab_id=$etab_id");
    }
}
elseif (ereg("^[0-9]{7}[a-z,A-Z]$",$search)) {
    $resetab=query("SELECT * FROM etablissements WHERE rne='$search'");
    if (mysql_num_rows($resetab)==1) {
        $found=true;
        list($etab_id,$rne)=mysql_fetch_array($resetab);
        js("setmonetab($etab_id);");
        goto("./login/login.php?etab_id=$etab_id");
    }
}
if (!$found) { //sans ce test, PHP continue à calculer, malgré le pseudo goto
    $comme="'%$search%'";
    $resetab=query("SELECT * FROM etablissements
                     WHERE etab_id like $comme
                        or rne like $comme
                        or nom like $comme
                        or adresse like $comme
                        or codepostal like $comme
                        or ville like $comme
                  ORDER BY ville, nom, rne ;");
    formulaire();
    $nbtrouves=mysql_num_rows($resetab);
    if (!$nbtrouves)  {
        alert("Pas d'établissement contenant cette suite de caractères !");
    }
    elseif ($nbtrouves==1) {
        list($etab_id,$rne)=mysql_fetch_array($resetab);
        js("setmonetab($etab_id);");
        goto("./login/login.php?etab_id=$etab_id");
    }
    else {
            global $ENTREE_STRICTE;
            if ($ENTREE_STRICTE) {
                    alert("Renseignement insuffisant !");
            }
            else {
                    print "<table  background=\"./images/logofondtab.gif\"
                cellspacing=\"0\" width=\"100%\"  border=\"1\"
                bordercolordark=\"white\" bordercolorlight=\"black\">\n";
                    print "<tr >\n";
                    $entete=array('id','RNE','Nom','Adresse','CP','Ville');
                    for ($i=0 ; $i<count($entete) ; $i++) {
                            print "<td align=\"center\" bgcolor=\"navy\"><p><b><font color=\"white\">".$entete[$i]."</font></b></p></td>\n";
                    }
                    print "</tr>\n";
                    while ($row=mysql_fetch_row($resetab)) {
                            print "<tr>\n";
                            $etab_id=$row[0];
                            $ancre="<a href=\"./login/login.php?etab_id=$etab_id\"
                       onclick=\"setmonetab($etab_id);\">".$row[1]."</a>";
                            for ($i=0 ; $i<count($entete) ; $i++) {
                                    if ($i==1) $cell=$ancre;
                                    else $cell=$row[$i];
                                    print "<td ><p>$cell</p></td>\n";
                            }
                            print "</tr>\n";
                    }
                    print "</table>\n";
            }
        }
}
}

function saisie() {
//récupération des établissements
$resetab=query("SELECT * FROM etablissements ORDER BY codepostal, ville, nom ;");
$nbetab=mysql_num_rows($resetab);
switch ($nbetab) {
  case 0:
    print "Aucun établissement n'a été créé par le super-administrateur !";
    break;
  case 1:
    list($etab_id)=mysql_fetch_array($resetab);
    goto("./login/login.php?etab_id=$etab_id");
    break;
  default:
    formulaire();
    print "<script language=\"javascript\" type=\"text/javascript\">\n
           if (getab) document.formindex.search.value=getab;\n
           document.formindex.btn_ok.focus();\n
           </script>\n";

}
}


//-------  Prog ppal  -----------
if (!isset($btn_ok))
       saisie();  //passage 1
else recherche();

print "</body></html>";
?>
